import java.io.*;
import java.util.*;

public class Main {

    public static void main(String[] args) throws IOException {
        FastScanner sk = new FastScanner();
        PrintWriter rr = new PrintWriter(System.out);
        int n = sk.nextInt();
        long[]s= new long[n];
        for (int i = 0; i < n; i++) {
            s[i]=sk.nextLong();
        }

        long a=1;
        long b =1;
        for (int i = 1; i < n; i++) {
            if(s[i]>s[i-1]){
                a++;
            }
            if(s[i]<s[i-1]){
                b++;
            }
        }
        Arrays.sort(s);
        if(s[0]==s[n-1]){
            rr.println(n);
        }
        else {
            rr.println(a * b + n);
        }
        rr.close();
    }
}

class FastScanner {
    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter rr = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }

    public static String next() throws IOException {
        return String.valueOf(nextToken());
    }
}