import java.io.*;
import java.util.*;

public class Main {

    public static void main(String[] args) throws IOException {
        FastScanner sk = new FastScanner();
        PrintWriter rr = new PrintWriter(System.out);
        int n = sk.nextInt();
        int m = sk.nextInt();
        char[][] s = new char[n][6];
        int y1 = 0;
        int y = 0;
        for (int i = 0; i < n; i++) {
            String a = sk.next();
            for (int j = 0; j < 6; j++) {
                s[i][j] = a.charAt(j);
                if (s[i][j] == 'X' && j < 3) {
                    y++;
                }
                if (s[i][j] == 'X' && j >= 3) {
                    y1++;
                }
            }
        }
        if ((y + y1 + m) % 2 != 0 || (y + y1 + m) > n * 6) {
            rr.println("Impossible");
            rr.close();
            return;
        }
        if (m == 0 && y != y1) {
            rr.println("Impossible");
            rr.close();
            return;
        }
        if (m == 0 && y == y1) {
            for (int i = 0; i < n; i++) {
                for (int j = 0; j < 6; j++) {
                    rr.print(s[i][j] + "");
                }
                rr.println();
            }
            rr.close();
            return;
        }
        if (y1 == y && y == 0 && m > 0) {
            int u = m / 2;
            for (int i = 0; i < n; i++) {
                for (int j = 0; j < 6; j++) {
                    if (u >= 0) {
                        s[i][j] = 'X';
                        s[n - i - 1][j] = 'X';
                        u--;
                    }
                }
            }
            for (int i = 0; i < n; i++) {
                for (int j = 0; j < 6; j++) {
                    rr.print(s[i][j] + "");
                }
                rr.println();
            }
            rr.close();
            return;
        }
        if (y1 > 0 && y > 0) {
            for (int i = 0; i < n; i++) {
                for (int j = 0; j < 6; j++) {
                    if (s[i][j] == 'X' && s[n - 1 - i][j] == '.' && m > 0) {
                        s[n - 1 - i][j] = 'X';
                        m--;
                    }
                    if (s[i][j] == '.' && s[n - 1 - i][j] == 'X' && m > 0) {
                        s[i][j] = 'X';
                        m--;
                    }
                }
            }
            if (m > 0) {
                for (int i = 0; i < n; i++) {
                    for (int j = 0; j < 6; j++) {
                        if (s[i][j] == '.' && s[n - 1 - i][j] == '.' && m > 0) {
                            s[n - 1 - i][j] = 'X';
                            s[i][j] = 'X';
                            m-=2;
                        }
                        if (s[i][j] == '.' && s[n - 1 - i][j] == '.' && m > 0) {
                            s[i][j] = 'X';
                            s[n - 1 - i][j] = 'X';
                            m-=2;
                        }
                    }
                }
            }
            for (int i = 0; i < n; i++) {
                for (int j = 0; j < 6; j++) {
                    rr.print(s[i][j] + "");
                }
                rr.println();
            }
            rr.close();
            return;
        }
    }
}

class FastScanner {
    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }

    public static String next() throws IOException {
        return String.valueOf(nextToken());
    }
}