import java.io.*;
import java.util.*;

public class Main {
    static long p = 0;

    public static void main(String[] args) throws IOException {
        FastScanner sk = new FastScanner();
        PrintWriter rr = new PrintWriter(System.out);
        int n = sk.nextInt();
        int m = sk.nextInt();
        long[][] s = new long[2][n];
        for (int i = 0; i < 2; i++) {
            for (int j = 0; j < n; j++) {
                s[i][j] = sk.nextLong();
            }
        }
        long l = 0;
        long r = (long) n;
        while (r - l > 1) {
            long ans = (l + r) / 2;
            long e = 0;
            for (int i = 0; i < n; i++) {
                long v = ans - s[0][i];
                if (v >= 0 && v < s[1][i]) {
                    e++;
                }
                if (v >= s[1][i]) {
                    v -= s[1][i];
                    long c = 2;
                    while (v > 0) {
                        v--;
                        c *= 2;
                    }
                    e += c;
                }
            }
            if (e >= m) {
                r = ans;
            } else {
                l = ans;
            }
        }
        rr.print(r);
        rr.close();
    }
}


class FastScanner {
    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }

    public static String next() throws IOException {
        return String.valueOf(nextToken());
    }
}